/*
 * $Id: Model_print.cpp 118 2009-05-20 22:01:32Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Model.h"
#include "Common/include/Debug.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Model::print"
  void Model::print (void)
  {
    log_begin(Behavioural,FUNCTION);

    msgInformation("Model Information [type, model simulation, debug verbosity]\n");
    for (std::map<std::string,model_t>::iterator it=models.begin();
         it!=models.end();
         ++it)
      msgInformation("  * %s\t%s\t%s\n",(it->first).c_str(), toString(it->second.type).c_str(), toString(it->second.debug).c_str());

    log_end(Behavioural,FUNCTION);
  }

}; // end namespace behavioural          
}; // end namespace morpheo              
